List outputs for a workflow step run
GET
/v1/workflow-step-runs/{stepRunId}/outputscurl -X GET 'https://api.embodiflow.io/v1/workflow-step-runs/{stepRunId}/outputs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- stepRunIdstring必填
查询参数
- pageSizeinteger
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<object>必填
- idstring必填
- outputNamestring必填
- logicalPathstring必填
- objectKeystring必填
- bytesstring必填
- sha256string必填
- contentTypestring必填
- contractstring | null必填
- itemIndexnumber | null必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"outputName": "string",
"logicalPath": "string",
"objectKey": "string",
"bytes": "string",
"sha256": "string",
"contentType": "string",
"contract": "string",
"itemIndex": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1